added mrun script to run command inside mininet host
diff --git a/test-network/mininet/mrun b/test-network/mininet/mrun
new file mode 100755
index 0000000..8bcd141
--- /dev/null
+++ b/test-network/mininet/mrun
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+# Attach to a Mininet host and run a command
+
+if [ -z $1 ]; then
+ echo "usage: $0 host cmd [args...]"
+ exit 1
+else
+ host=$1
+fi
+
+pid=`pgrep -f ${host}.banner`
+if [ "$pid" == "" ]; then
+ echo "Could not find Mininet host $host"
+ exit 2
+fi
+
+if [ -z $2 ]; then
+ cmd='bash'
+else
+ shift
+ cmd=$*
+fi
+
+cgroup=/sys/fs/cgroup/cpu/$host
+if [ -d "$cgroup" ]; then
+ cg="-g $host"
+fi
+
+exec sudo mnexec -a $pid $cg $cmd